自動化を取得する
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automation_id": "<string>",
"name": "<string>",
"enabled": true,
"triggers": [
{
"trigger_id": "<string>",
"event_type": "<string>",
"conditions": {
"any": [
{
"all": [
{
"field": "<string>",
"operator": "eq",
"value": "<string>"
}
]
}
]
},
"managed_webhook_id": "<string>",
"replies": [],
"webhook": {
"url": "<string>",
"secret": "<string>"
}
}
],
"actions": [
{
"prompt": "<string>",
"type": "start_session",
"session": {
"repos": [],
"tags": [],
"playbook_id": "<string>",
"platform": "<string>",
"bypass_approval": false,
"notifications": {
"slack": {
"mode": "post_updates",
"channel_id": "<string>"
},
"teams": {
"team_id": "<string>",
"channel_id": "<string>"
}
}
}
}
],
"created_by": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"created_at": 123,
"updated_at": 123,
"notifications": {
"email": {
"when": "always",
"recipients": [
"<string>"
]
},
"slack": {
"when": "always",
"channel_id": "<string>"
}
},
"tools": {
"mcp_servers": [],
"slack_channels": [],
"slack_dm_scope": "org_members",
"teams_channels": [],
"teams_dm_scope": "installed_users",
"linear_enabled": true,
"jira_projects": [
"<string>"
]
},
"metadata": {},
"limits": {
"max_acu_limit": 500,
"invocations": {
"max_per_window": 2,
"window_seconds": 61
}
},
"concurrency": {
"max_concurrent_runs": 2,
"max_queue_depth": 1
},
"session_settings": {
"devin_mode": "<string>",
"fallback_devin_mode": "normal",
"net_policy": {
"allow": [
{
"hostname": "<string>"
}
]
}
},
"security_profile": {
"selection": "inherit",
"profile_id": "<string>",
"warnings": []
},
"run_as": {
"type": "organization"
},
"slack_reply_access": "slack_users",
"teams_reply_access": "teams_users",
"template_id": "<string>",
"last_edited_by": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"last_invocation": {
"fired_at": 123,
"status": "<string>"
},
"next_run_at": 123
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}自動化(組織)
自動化を取得する
ID を指定して自動化を1件取得します。
GET
/
v3
/
organizations
/
{org_id}
/
automations
/
{automation_id}
自動化を取得する
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/automations/{automation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automation_id": "<string>",
"name": "<string>",
"enabled": true,
"triggers": [
{
"trigger_id": "<string>",
"event_type": "<string>",
"conditions": {
"any": [
{
"all": [
{
"field": "<string>",
"operator": "eq",
"value": "<string>"
}
]
}
]
},
"managed_webhook_id": "<string>",
"replies": [],
"webhook": {
"url": "<string>",
"secret": "<string>"
}
}
],
"actions": [
{
"prompt": "<string>",
"type": "start_session",
"session": {
"repos": [],
"tags": [],
"playbook_id": "<string>",
"platform": "<string>",
"bypass_approval": false,
"notifications": {
"slack": {
"mode": "post_updates",
"channel_id": "<string>"
},
"teams": {
"team_id": "<string>",
"channel_id": "<string>"
}
}
}
}
],
"created_by": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"created_at": 123,
"updated_at": 123,
"notifications": {
"email": {
"when": "always",
"recipients": [
"<string>"
]
},
"slack": {
"when": "always",
"channel_id": "<string>"
}
},
"tools": {
"mcp_servers": [],
"slack_channels": [],
"slack_dm_scope": "org_members",
"teams_channels": [],
"teams_dm_scope": "installed_users",
"linear_enabled": true,
"jira_projects": [
"<string>"
]
},
"metadata": {},
"limits": {
"max_acu_limit": 500,
"invocations": {
"max_per_window": 2,
"window_seconds": 61
}
},
"concurrency": {
"max_concurrent_runs": 2,
"max_queue_depth": 1
},
"session_settings": {
"devin_mode": "<string>",
"fallback_devin_mode": "normal",
"net_policy": {
"allow": [
{
"hostname": "<string>"
}
]
}
},
"security_profile": {
"selection": "inherit",
"profile_id": "<string>",
"warnings": []
},
"run_as": {
"type": "organization"
},
"slack_reply_access": "slack_users",
"teams_reply_access": "teams_users",
"template_id": "<string>",
"last_edited_by": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"last_invocation": {
"fired_at": 123,
"status": "<string>"
},
"next_run_at": 123
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
],
"error_code": "<string>"
}権限
組織レベルのViewOrgAutomations 権限を持つサービスユーザーまたはパーソナルアクセストークンが必要です。レスポンス
成功レスポンス
生成されたセッションの run に使用する ID。organization: 組織の自動化 ID。組織に自動化用のデフォルトのサービスユーザーが設定されている場合、セッションはそのサービスユーザーとして run され、レスポンスの run_as は service_user となり、その id も返されます。保存には、そのサービスユーザーが持つすべての権限が必要です。デフォルトのサービスユーザーが設定されていない場合、自動化の作成や有効な自動化の保存は拒否されます。そのサービスユーザーが未接続の個人用(user-scoped)接続でインストールされた MCPサーバーは選択できません。また、自動化を organization に切り替えると、それらは選択肢から削除されます。creator: 個人用自動化 — 作成者自身の権限で run され、作成者と org 管理者にのみ表示されます。サービスユーザーが作成した自動化では使用できません。service_user: 指定したサービスユーザーとして、そのロール、付与された権限、ACU上限に従って run されます。そのサービスユーザーを管理する権限が必要です。作成時は必須です。更新時に null を指定すると organization にリセットされます。
- AutomationRunAsOrganization
- AutomationRunAsCreator
- AutomationRunAsServiceUser
Show child attributes
Show child attributes

